Name:     	monodevelop-database
Version:	1.0
Release:	%mkrel 1
License:	LGPL
BuildArch:      noarch
URL:		http://www.go-mono.com
Source0:	http://go-mono.com/sources/%name/%{name}-%{version}.tar.bz2
BuildRequires:	mono-devel monodevelop >= 1.0 mono-addins
Summary:	Monodevelop Database Addin
Group:		Development/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Monodevelop Database Addin
	  

%prep
%setup -q

%build
./configure --prefix=%_prefix
make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%_prefix/share/pkgconfig
mv $RPM_BUILD_ROOT%_prefix/lib/pkgconfig/*.pc $RPM_BUILD_ROOT%_prefix/share/pkgconfig
for langdir in %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/*; do
echo "%lang($(basename $langdir)) $(echo $langdir |sed s!%buildroot!!)" >> %name.lang
done


%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f %name.lang
%defattr(-, root, root)
%_prefix/share/pkgconfig/monodevelop-database.pc
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/



%changelog
* Fri Mar 14 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2008.1
+ Revision: 187879
- new version
- bump deps

* Sat Feb 16 2008 Götz Waschk <waschk@mandriva.org> 0.19-1mdv2008.1
+ Revision: 169288
- fix buildrequires
- new version
- bump deps

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
+ Revision: 134803
- import monodevelop-database


* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
- initial package
